## python-uinput 1.0.1

=== libsuinput/examples/Makefile ===
CFLAGS = -Wall -Wextra -Werror -pedantic
CFLAGS_ALL = $(CFLAGS)

LDFLAGS =
LDFLAGS_ALL = $(LDFLAGS) -lsuinput

CPPFLAGS =
CPPFLAGS_ALL = $(CPPFLAGS)

PROGRAMS = keyboard mouse

.PHONY: all clean

all: $(PROGRAMS)

%.o : %.c
	$(CC) $(CPPFLAGS_ALL) $(CFLAGS_ALL) -c -o $@ $<

$(PROGRAMS) : % : %.o
	$(CC) $(LDFLAGS_ALL) $(CFLAGS_ALL) -o $@ $<

clean:
	rm -f $(PROGRAMS)
	rm -f *.o

## python-uinput 0.11.2

=== debian/changelog ===
python-uinput (0.11.2-4) unstable; urgency=medium

  * Team upload.
  * Support Python 3.11 (Closes: #1023912)
    - Add python3_11_compat.patch

 -- Felix Geyer <fgeyer@debian.org>  Sun, 13 Nov 2022 11:41:20 +0100

python-uinput (0.11.2-3) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Fix day-of-week for changelog entry 0.11.2-1.
  * Update standards version to 4.5.0, no changes needed.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Boyuan Yang ]
  * Rebuild after Debian 11 release.
  * debian/control: Bump debhelper compat to v13.
  * debian/control: Bump Standards-Version to 4.6.0.

 -- Boyuan Yang <byang@debian.org>  Wed, 18 Aug 2021 11:27:48 -0400

python-uinput (0.11.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * Update Standards version to 4.4.1.
  * Add dh-python to build deps. (Closes: #944947, 945233)
  * Bumped debhelper compat level to 12.
  * Add Rules-Requires-Root: no.

 -- Boyuan Yang <byang@debian.org>  Mon, 02 Dec 2019 23:34:43 -0500

python-uinput (0.11.2-2) unstable; urgency=medium

  * Team upload.
  * d/copyright: Change Format URL to correct one
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.
  * Enable autopkgtest-pkg-python testsuite.

 -- Ondřej Nový <onovy@debian.org>  Sun, 04 Aug 2019 20:51:21 +0200

python-uinput (0.11.2-1) unstable; urgency=medium

  * Initial release (Closes: #904401)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 28 Jul 2018 14:33:25 +0200

=== debian/control ===
Source: python-uinput
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
Build-Depends: debhelper-compat (= 13),
               pkg-config,
               python3-all-dev,
               dh-python
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: http://tjjr.fi/sw/python-uinput
Vcs-Git: https://salsa.debian.org/python-team/packages/python-uinput.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-uinput
Testsuite: autopkgtest-pkg-python

Package: python3-uinput
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}, python3-distutils
Description: Pythonic API to Linux uinput kernel module (Python3)
 Python-uinput is Python interface to Linux uinput kernel module which allows
 attaching userspace device drivers into kernel. In practice, Python-uinput
 makes it dead simple to create virtual joysticks, keyboards and mice for
 generating arbitrary input events programmatically.
 .
 This package contains the python3 library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_installchangelogs:
	dh_installchangelogs NEWS.rst

execute_after_dh_installexamples:
	chmod -x debian/*/usr/share/doc/*/examples/*

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/python-uinput-$1\.tar\.gz/ \
  https://github.com/tuomasjjrasanen/python-uinput/releases /tuomasjjrasanen/python-uinput/archive/(\d\S*)\.tar\.gz

http://tjjr.fi/sw/python-uinput/releases/python-uinput-(\d\S*)\.tar\.(?:xz|bz2|gz)

## python-uinput 0.11.3

=== debian/changelog ===
python-uinput (0.11.3-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 10:50:43 +0000

python-uinput (0.11.3-1) unstable; urgency=medium

  * Team upload.
  * Switch upstream project and prepare new upload.
  * debian/: Apply "wrap-and-sort -abst".
  * debian/control: Update homepage field.
  * debian/copyright: Update contact information.
  * debian/patches/python3_11_compat.patch: Dropped, merged upstream.
  * debian/patches/0001-Migrate-from-distutils-to-setuptools.patch:
    + Add custom patch to migrate from distutils to setuptools.
      (Closes: #1059670)

 -- Boyuan Yang <byang@debian.org>  Sat, 06 Jan 2024 16:03:24 -0500

=== debian/control ===
Source: python-uinput
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pkg-config,
 python3-all-dev,
 python3-setuptools,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/selkies-project/python-uinput
Vcs-Git: https://salsa.debian.org/python-team/packages/python-uinput.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-uinput
Testsuite: autopkgtest-pkg-python

Package: python3-uinput
Architecture: any
Depends:
 python3-setuptools,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Pythonic API to Linux uinput kernel module (Python3)
 Python-uinput is Python interface to Linux uinput kernel module which allows
 attaching userspace device drivers into kernel. In practice, Python-uinput
 makes it dead simple to create virtual joysticks, keyboards and mice for
 generating arbitrary input events programmatically.
 .
 This package contains the python3 library.

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
 https://api.github.com/repos/selkies-project/python-uinput/tags?per_page=100 \
 https://api.github.com/repos/selkies-project/python-uinput/tarball/refs/tags/@ANY_VERSION@

## python-uinput 1.0.1

=== debian/changelog ===
python-uinput (1.0.1-3build2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 14:15:06 +0000

python-uinput (1.0.1-3build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 05 Mar 2025 00:33:55 +0000

python-uinput (1.0.1-3) unstable; urgency=medium

  * Team upload.
  * Remove runtime dependency on python3-setuptools

 -- Alexandre Detiste <tchet@debian.org>  Sun, 26 Jan 2025 22:20:54 +0100

python-uinput (1.0.1-2) unstable; urgency=medium

  * Team upload.
  * debian/patches:
    + 0001-Fix-timestamp-usage-with-new-Linux-struct-input_even.patch:
      Add patch to fix compilation against new kernel struct input_event
      definition with the removal of struct timeval on 32-bit OS with
      -D_TIME_BITS=64. This postpones the time_t problem on supported
      32-bit OS (armel, armhf) from 2038 to 2106. (Closes: #1067083)

 -- Boyuan Yang <byang@debian.org>  Wed, 12 Jun 2024 07:33:59 -0400

python-uinput (1.0.1-1) unstable; urgency=medium

  * Team upload.
  * Switch to the official active upstream project.
  * New upstream release.
  * debian/watch: Monitor the correct upstream release.
  * debian/patches: Dropped, merged upstream.
  * debian/control: Use the new upstream information.
  * debian/control: Migrate to use pyproject.toml to build the project.

 -- Boyuan Yang <byang@debian.org>  Sun, 17 Mar 2024 18:00:59 -0400

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,13 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
- pkg-config,
+ pkgconf,
+ pybuild-plugin-pyproject,
  python3-all-dev,
  python3-setuptools,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Homepage: https://github.com/selkies-project/python-uinput
+Homepage: https://github.com/pyinput/python-uinput
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-uinput.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-uinput
 Testsuite: autopkgtest-pkg-python
@@ -20,7 +21,6 @@
 Package: python3-uinput
 Architecture: any
 Depends:
- python3-setuptools,
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
 https://api.github.com/repos/pyinput/python-uinput/tags?per_page=100 \
 https://api.github.com/repos/pyinput/python-uinput/tarball/refs/tags/@ANY_VERSION@
